Index: main/trunk/greenstone2/perllib/strings_ja.properties
===================================================================
--- main/trunk/greenstone2/perllib/strings_ja.properties	(revision 31880)
+++ main/trunk/greenstone2/perllib/strings_ja.properties	(revision 31887)
@@ -8,5 +8,4 @@
 OutputEncoding.unix:iso_8859_1
 OutputEncoding.windows:iso_8859_1
-
 
 #
@@ -117,4 +116,8 @@
 
 buildcol.keepold:æ§ç¯äž­ã®ãã€ã¬ã¯ããªãŒã®çŸåšã®ã³ã³ãã³ããç Žå£ããªãã
+
+buildcol.library_url:äœåããïŒãããªãïŒã°ãªãŒã³ã¹ããŒã³ããžã¿ã«å³æžé€šã®å®å
+šãªURLãæäŸãã
+buildcol.library_name:GS3ã®å Žåã¯ãçŸåšå®è¡äž­ã®Greenstoneã§ã¢ã¯ãã£ãã«ããã©ã€ãã©ãªã®ã©ã€ãã©ãªåïŒãµãŒãã¬ããåïŒãæå®ããŸã
 
 buildcol.maxdocs:æ§ç¯ãããã­ã¥ã¡ã³ãã®æå€§æ°ã
@@ -154,4 +157,6 @@
 buildcol.removeold:æ§ç¯äž­ã®ãã€ã¬ã¯ããªãŒã®å€ãã³ã³ãã³ããåé€ããã
 
+buildcol.skipactivation:ãããã¢ã¯ãã€ããŒããã©ã°ãšäžç·ã«æž¡ããŠãå®éã®ã¢ã¯ãã£ã¹ãŒãïŒåã¢ã¯ãã€ããŒãïŒã®ã¹ããããé€ãã¢ã¯ãã€ããŒãã¹ã¯ãªããã®ãã¹ãŠã®ã¿ã¹ã¯ãå®è¡ããŸã
+
 buildcol.unlinked_col_images:ã³ã¬ã¯ã·ã§ã³ç»åãæ­£ãããªã³ã¯ãããŠããªãã
 
@@ -161,5 +166,4 @@
 
 buildcol.verbosity:ã¢ãŠããããã®éãå¶åŸ¡ããã0=none, 3=lotsã
-
 
 # -- classinfo.pl --
@@ -218,5 +222,5 @@
 explode.collection:ã³ã¬ã¯ã·ã§ã³åãããã€ãã®ãã©ã°ã€ã³ã¯ã³ã¬ã¯ã·ã§ã³ã»ãã©ã«ããŒå
 ã®è£å©ãã¡ã€ã«ãæ¢ãã
- 
+
 explode.document_field:ã³ã¬ã¯ã·ã§ã³å
 ã§ç²åŸãå«ãŸãããã­ã¥ã¡ã³ãã®ãã¡ã€ã«åãç¹å®ããã¡ã¿ããŒã¿ã»ãšã¬ã¡ã³ãã
@@ -308,4 +312,9 @@
 import.maxdocs:ã€ã³ããŒããããã­ã¥ã¡ã³ãã®æå€§æ°ã
 
+import.NO_IMPORT:import.plãå®è¡ãããªãããã«ããŸãã Webãã­ã¥ã¡ã³ãç·šéãäœ¿çšããŠããå Žåã¯ãã³ã¬ã¯ã·ã§ã³ã®èš­å®ãã¡ã€ã«ã§ãããèš­å®ããimport.plãå®è¡ãããããã¹ãŠã®ç·šéå
+å®¹ãåé€ãããªãããã«ããŸãã
+
+import.NO_IMPORT_set:ãNO_IMPORTããèš­å®ãããŠãããããã€ã³ããŒããç¶è¡ãããŸããã
+
 import.no_import_dir:ãšã©ãŒïŒ Import dir (%s) ãèŠã€ãããªãã
 
@@ -365,5 +374,5 @@
 # -- csv-usernames-to-db.pl
 cu2db.desc:ãŠãŒã¶ãŒãã°ãªãŒã³ã¹ããŒã³ã»ãŠãŒã¶ãŒã»ããŒã¿ããŒã¹ã«è¿œå ãããããåŠçãããåäžã®ã¹ã¯ãªãããã«ã³ãã§åºåãããå€ïŒcsvïŒ
- 
+
 cu2db.params:[ãªãã·ã§ã³]csv-ãã¡ã€ã«å
 
@@ -372,6 +381,4 @@
 
 cu2db.already-encrypted:CSV ãã¡ã€ã«ã®ãã¹ã¯ãŒãããã§ã«æå·åãããŠãããªããããäœ¿çšããŠäžãã
-
-
 
 # -- schedule.pl --
@@ -470,5 +477,4 @@
 export.verbosity:ã¢ãŠããããã®éãå¶åŸ¡ããã 0=none, 3=lotsã
 
-
 # -- mkcol.pl --
 
@@ -563,5 +569,4 @@
 ã«å®çŸ©ãããç¹å®ã®ãã©ã°ã€ã³ã«ã®ã¿æå¹ã§ããã
 
-
 # -- plugoutinfo.pl --
 
@@ -586,6 +591,4 @@
 plugoutinfo.specific_options:ç¹å®ã®ãªãã·ã§ã³ããã©ã°ã¢ãŠãèªäœå
 ã«å®çŸ©ããããã®ç¹å®ã®ãã©ã°ã¢ãŠãã«ã®ã¿æå¹ã§ããã
-
-
 
 #
@@ -814,5 +817,4 @@
 Collage.caption:ã³ã©ãŒãžã¥ã»ã­ã£ã³ãã¹ã®äžéšã«è¡šç€ºããããªãã·ã§ãã«ã»ã­ã£ãã·ã§ã³ã
 
-
 #
 # Plugin option descriptions
@@ -859,30 +861,8 @@
 BaseImporter.associate_tail_re:é¢é£ã¥ãããããã¡ã€ã«ãèŠã€ããããã«ãã¡ã€ã«åãäžèŽãããæ­£èŠè¡šçŸã
 
-CommonUtil.block_exp:ãã®æ­£èŠè¡šçŸã«äžèŽãããã¡ã€ã«ã¯ãªã¹ãã®åŸã®ãã©ã°ã€ã³ã«æž¡ãããã®ããã­ãã¯ãããã
-
 BaseImporter.desc:å
 šãŠã®ã€ã³ããŒãã»ãã©ã°ã€ã³ã®åºç€ã¯ã©ã¹
 
 BaseImporter.dummy_text:ãã®ãã­ã¥ã¡ã³ãã¯ãã­ã¹ãããããŸããã
-
-CommonUtil.encoding.ascii:ãã¬ã€ã³ïŒãããASCIIãããã¯ iso_8859_1ãäœ¿çšããããæ©ãã§ããããããã­ã¹ãããã¬ã€ã³ïŒãããASCIIã»ããä»¥å€ã®æå­ãå«ãæïŒã¢ã¯ã»ã³ãèšå·ãå«ããã€ãèªããã©ã³ã¹èªã®ãã­ã¹ããªã©ïŒæ°ãã€ããŠäžãããiso_8859_1ãä»£ããã«äœ¿çšããŠãã ãã ã
-
-CommonUtil.encoding.unicode:unicodeã ãã
-
-CommonUtil.encoding.utf8:utf8ãunicode -- èªåçã«æ€åºãããŸããã
-
-CommonUtil.filename_encoding:ãœãŒã¹ãã¡ã€ã«ã®ãã¡ã€ã«åã®ãšã³ã³ãŒãã£ã³ã°ã
-
-CommonUtil.filename_encoding.auto:ãã¡ã€ã«åã®ãšã³ã³ãŒãã€ã³ã°ãèªåçã«æ€åºããã
-
-CommonUtil.filename_encoding.auto_language_analysis:åæã«ãã£ãŠãã¡ã€ã«åã®ãšã³ã³ãŒãã£ã³ã°ã®èªååæãããã
-
-CommonUtil.filename_encoding.auto_filesystem_encoding:ãã¡ã€ã«ã·ã¹ãã ã»ãšã³ã³ãŒãã£ã³ã°ãäœ¿çšãããã¡ã€ã«åã®ãšã³ã³ãŒãã£ã³ã°ã®èªåæ€åºã
-
-CommonUtil.filename_encoding.auto_fl:ãã¡ã€ã«ããŒã ã®ãšã³ã³ãŒãã£ã³ã°ãäœ¿çšããŠã®ãã¡ã€ã«åã®ãšã³ã³ãŒãã€ã³ã°ãæ€åºããããã®èšèªåæã
-
-CommonUtil.filename_encoding.auto_lf:èšèªåæãäœ¿çšããŠã®ãã¡ã€ã«åã®ãšã³ã³ãŒãã€ã³ã°ãæ€åºããããã®ãã¡ã€ã«ã·ã¹ãã ã»ãšã³ã³ãŒãã£ã³ã°ã
-
-CommonUtil.no_blocking:ãã¡ã€ã«ããã­ãã¯ããªãã§äžãããé¢é£ãã¡ã€ã«ïŒãŠãšãããŒãžã®ç»åãªã©ïŒãã³ã¬ã¯ã·ã§ã³ã«å³åŽã®ãã­ã¥ã¡ã³ããšããŠè¿œå ãããŸãã
 
 BaseImporter.no_cover_image:ã«ããŒã€ã¡ãŒãžãšããŠäžç·ã«ããããã«prefix.jpgãã¡ã€ã«ïŒãã¬ãã€ãã¯ã¹ã¯ãã¡ã€ã«ãåŠçãããã®ãšåããã¬ãã€ãã¯ã¹ã®å Žæã§ãïŒãæ¢ããªãã§ãã ããã
@@ -918,4 +898,28 @@
 šãã­ã¹ããåæ±ããã¿ã€ãã«ã¡ã¿ããŒã¿ãšããŠåãåã«ãããïŒããåæ§ã®æ¹æ³ã§HDLã³ã¬ã¯ã·ã§ã³ãšããŠåæ§ã®æ¹æ³ã§è¡šç€ºããããã­ã¥ã¡ã³ããã¿ã°ä»ããããªããHBPluginã®ä»£ããã«ãã®ãã©ã°ã€ã³ãäœ¿çšããŠãã ããã
 
+CommonUtil.block_exp:ãã®æ­£èŠè¡šçŸã«äžèŽãããã¡ã€ã«ã¯ãªã¹ãã®åŸã®ãã©ã°ã€ã³ã«æž¡ãããã®ããã­ãã¯ãããã
+
+CommonUtil.desc:ãã¡ã€ã«åã®ãšã³ã³ãŒãã€ã³ã°ãšãã¡ã€ã«ãã­ãã¯ãåŠçãããŠãŒãã€ãªãã£ãã©ã°ã€ã³ã¯ã©ã¹
+
+CommonUtil.encoding.ascii:ãã¬ã€ã³ïŒãããASCIIãããã¯ iso_8859_1ãäœ¿çšããããæ©ãã§ããããããã­ã¹ãããã¬ã€ã³ïŒãããASCIIã»ããä»¥å€ã®æå­ãå«ãæïŒã¢ã¯ã»ã³ãèšå·ãå«ããã€ãèªããã©ã³ã¹èªã®ãã­ã¹ããªã©ïŒæ°ãã€ããŠäžãããiso_8859_1ãä»£ããã«äœ¿çšããŠãã ãã ã
+
+CommonUtil.encoding.unicode:unicodeã ãã
+
+CommonUtil.encoding.utf8:utf8ãunicode -- èªåçã«æ€åºãããŸããã
+
+CommonUtil.filename_encoding:ãœãŒã¹ãã¡ã€ã«ã®ãã¡ã€ã«åã®ãšã³ã³ãŒãã£ã³ã°ã
+
+CommonUtil.filename_encoding.auto:ãã¡ã€ã«åã®ãšã³ã³ãŒãã€ã³ã°ãèªåçã«æ€åºããã
+
+CommonUtil.filename_encoding.auto_language_analysis:åæã«ãã£ãŠãã¡ã€ã«åã®ãšã³ã³ãŒãã£ã³ã°ã®èªååæãããã
+
+CommonUtil.filename_encoding.auto_filesystem_encoding:ãã¡ã€ã«ã·ã¹ãã ã»ãšã³ã³ãŒãã£ã³ã°ãäœ¿çšãããã¡ã€ã«åã®ãšã³ã³ãŒãã£ã³ã°ã®èªåæ€åºã
+
+CommonUtil.filename_encoding.auto_fl:ãã¡ã€ã«ããŒã ã®ãšã³ã³ãŒãã£ã³ã°ãäœ¿çšããŠã®ãã¡ã€ã«åã®ãšã³ã³ãŒãã€ã³ã°ãæ€åºããããã®èšèªåæã
+
+CommonUtil.filename_encoding.auto_lf:èšèªåæãäœ¿çšããŠã®ãã¡ã€ã«åã®ãšã³ã³ãŒãã€ã³ã°ãæ€åºããããã®ãã¡ã€ã«ã·ã¹ãã ã»ãšã³ã³ãŒãã£ã³ã°ã
+
+CommonUtil.no_blocking:ãã¡ã€ã«ããã­ãã¯ããªãã§äžãããé¢é£ãã¡ã€ã«ïŒãŠãšãããŒãžã®ç»åãªã©ïŒãã³ã¬ã¯ã·ã§ã³ã«å³åŽã®ãã­ã¥ã¡ã³ããšããŠè¿œå ãããŸãã
+
 CONTENTdmPlugin.desc:ãšã¯ã¹ããŒããããCONTENTdmã³ã¬ã¯ã·ã§ã³ã®RDFãã¡ã€ã«ãåŠçãããã©ã°ã€ã³ã
 
@@ -974,5 +978,5 @@
 
 DSpacePlugin.desc:DSpaceãããšã¯ã¹ããŒããããã³ã¬ã¯ã·ã§ã³ãåãæ±ãã°ãªãŒã³ã¹ããŒã³ã«ã€ã³ããŒããããã©ã°ã€ã³ã
-	
+
 DSpacePlugin.first_inorder_ext:ããã¯DSpaceã³ã¬ã¯ã·ã§ã³ã»ãã­ã¥ã¡ã³ãã®ãã©ã€ããªãŒã»ãã­ã¥ã¡ã³ãã»ãã¡ã€ã«ãç¹å®ããããã«äœ¿çšãããããã®ãªãã·ã§ã³ã§ã¯ãã·ã¹ãã ã¯ãã©ã€ããªãŒã»ãã­ã¥ã¡ã³ãã»ãã¡ã€ã«ãæ¢ãããã®ç¹å®ã®é£ç¶ãããã­ã¥ã¡ã³ãã®ext åœ¢åŒãåãæ±ãã
 
@@ -1442,4 +1446,21 @@
 TextPlugin.title_sub:ã¿ã€ãã«ãšããŠä¿å­ãããã¹ããªã³ã°ãå€æŽããä»£æ¿è¡šçŸãããšãã°ãPostScriptPluginã§ã¿ã€ãã«ãšããŠäœ¿çšããããã­ã¹ããã"Page 1"ãåé€ããã®ã«äœ¿çšãããã
 
+UnknownConverterPlugin.desc:ã³ãã³ãã©ã€ã³ããå®è¡ã§ããããµããŒããããŠããªããã­ã¥ã¡ã³ããã©ãŒããããjpgãpngããŸãã¯gifãã©ãŒã ã®ãã­ã¹ããHTMLããŸãã¯äžé£ã®ã€ã¡ãŒãžã«å€æããã«ã¹ã¿ã å€æããŒã«ãããå Žåã¯ããã®ã³ãã³ãããã®ãã©ã°ã€ã³ã«æäŸããŸããæ¬¡ã«ãGreenstoneã«ããçŽ¢åŒäœæã®ããã®ã¢ãŠãããããã­ã£ããã£ããŠãç»åã«å€æã§ããªããã­ã¥ã¡ã³ããæ€çŽ¢å¯èœã«ããã³ãã³ããå®è¡ããŸãã ãã­ã»ã¹æ¡åŒµå­ããå€æãããã¡ã€ã«ã®æ¥å°ŸèŸã«èš­å®ããŸãã ãå€æåœ¢åŒãããå€æã³ãã³ããçæããåºååœ¢åŒã«èš­å®ããããšã«ãããåºåãã¡ã€ã«ã®æ¥å°ŸèŸãæ±ºå®ãããŸãã Greenstoneãçœ®ãæãããã³ãã³ãã®ãã¬ãŒã¹ãã«ããšããŠãïŒ
+INPUT_FILEããšãïŒ
+OUTPUTããäœ¿çšããŠãã ãããããã¯ããïŒ
+INPUT_FILEããšããŠãã­ã»ã¹æ¡åŒµå­ã®æ¥å°ŸèŸã«é çªã«äžèŽããåãã¡ã€ã«ãžå®å
+šãã¹ã§æž¡ããŸãããïŒ
+OUTPUTãã¯ããå€æåœ¢åŒãã®å€ã«ãã£ãŠæ±ºãŸãæ¥å°ŸèŸãæã€åºåãã¡ã€ã«ã®äžæãã©ã«ãå
+ã®ãã¹ã«çœ®ãæããããŸãããå€æåœ¢åŒããpagedimgã¿ã€ãã®å ŽåãGreenstoneã¯ãïŒ
+OUTPUTããäºæ³ããããã¡ã€ã«ãæ ŒçŽãããã£ã¬ã¯ããªã«èš­å®ãããã­ã¥ã¡ã³ãã®åéšåãç
+§åããã¢ã€ãã ãã¡ã€ã«ãäœæããŸãã
+
+UnknownConverterPlugin.exec_cmd:ãããå®è¡ããã³ãã³ãã©ã€ã³ã³ãã³ãæå­åãå€æãå®è¡ããŸãã åŒçšç¬Šã§å²ãŸãããšã¬ã¡ã³ãã¯ãä¿å­ããããã«ããã¯ã¹ã©ãã·ã¥ã§åºåãããåŒçšç¬Šãã€ãå¿
+èŠããããŸãã ã³ãã³ãã®ãã¬ãŒã¹ãã«ããšããŠããïŒ
+INPUT_FILEããšãïŒ
+OUTPUTããäœ¿çšããŠãã ããã
+
+UnknownConverterPlugin.output_file_or_dir_name:å€æã«ãã£ãŠçæãããåºåãã¡ã€ã«ãŸãã¯ïŒåºåãã¡ã€ã«ã®ãã£ã¬ã¯ããªïŒã®çµ¶å¯Ÿãã¹å
+
 UnknownPlugin.assoc_field:é¢é£ãããã¡ã€ã«åãæã€ã¡ã¿ããŒã¿ãã€âã«ãå
 
@@ -1523,5 +1544,4 @@
 Z3950Download.max_records:ããŠã³ã­ãŒãããã¬ã³ãŒãã®æå€§æ°
 Z3950Download.max_records_disp:æå€§ã®ã¬ã³ãŒã
-
 
 #