Index: main/trunk/gli/classes/dictionary_es.properties
===================================================================
--- main/trunk/gli/classes/dictionary_es.properties	(revision 31887)
+++ main/trunk/gli/classes/dictionary_es.properties	(revision 31888)
@@ -10,5 +10,5 @@
 AboutDialog.Item0:Xerces Java 1' de The Apache Software Foundation (http://www.apache.org/)
 AboutDialog.Item2:WGet' de Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)
-AboutDialog.Item3:qflib' de Quality First Software GmbH. (http://www.qfs.de/en/qflib/index.html)
+AboutDialog.Item3:'qfslib' de Quality First Software GmbH. (http://www.qfs.de/en/qflib/index.html)
 AboutDialog.Item4:ExtensionFileFilter.class', por Bruno Dumon y asociados (http://pollo.sourceforge.net/)
 AboutDialog.Item5:How to disable file renaming in file chooser' - vladi21 (http://www.experts-exchange.com/)
@@ -860,4 +860,8 @@
 Mirroring.DownloadJob.Pause:Pausa
 Mirroring.DownloadJob.Pause_Tooltip:Pausa
+Mirroring.DownloadJob.Stop:Detener
+Mirroring.DownloadJob.Stop_Tooltip:Detener esta descarga si estÃ¡ activa
+Mirroring.DownloadJob.Stopped:Detenida
+Mirroring.DownloadJob.Stopped_Tooltip:Esta descarga se ha detenido.
 Mirroring.DownloadJob.Resume:Reiniciar
 Mirroring.DownloadJob.Resume_Tooltip:Reiniciar esta descarga
@@ -1104,5 +1108,4 @@
 Workflow.DocumentEnriching:Enriqueciendo el documento
 
-
 #********GEMS******
 
@@ -1169,4 +1172,3 @@
 GEMS.NewMetadataElementNamePrompt.EmptyName_Error_Message:Un elemento nuevo debe recibir un nombre.
 
-
 GEMS.No_Set_Loaded:No se ha cargado un conjunto de metadatos. Por favor, use Archivo->Nuevo para crear uno nuevo, o Archivo->Abrir para abrir uno existente.
Index: main/trunk/greenstone2/perllib/strings_es.properties
===================================================================
--- main/trunk/greenstone2/perllib/strings_es.properties	(revision 31887)
+++ main/trunk/greenstone2/perllib/strings_es.properties	(revision 31888)
@@ -9,5 +9,4 @@
 OutputEncoding.windows:iso_8859_1
 
-
 #
 # Common output messages and strings
@@ -108,4 +107,7 @@
 
 buildcol.keepold:No destruirÃ¡ los volÃºmenes actuales del directorio construido.
+
+buildcol.library_url:Indique la URL completa de la biblioteca a ser activada/desactivada.
+buildcol.library_name:Para GS3, indique el nombre de la librerÃ­a (servlet) de la librerÃ­a a ser activada/desactivada en la instancia actual.
 
 buildcol.maxdocs:El nÃºmero mÃ¡ximo de documentos para construir.
@@ -142,4 +144,6 @@
 buildcol.removeold:BorrarÃ¡ todos los contenidos previos del directorio building.
 
+buildcol.skipactivation:Indique esta opciÃ³n para ejecutar cada tarea del script de activaciÃ³n salvo los pasos de activaciÃ³n/desactivaciÃ³n.
+
 buildcol.unlinked_col_images:No pueden unirse las imÃ¡genes de la colecciÃ³n de manera correcta.
 
@@ -149,5 +153,4 @@
 
 buildcol.verbosity:Controla la cantidad de mensajes mostrados. El 0=ninguno, 3=muchos.
-
 
 # -- classinfo.pl --
@@ -197,5 +200,5 @@
 
 explode.collection:El nombre de la colecciÃ³n. Algunos conectores buscan archivos auxiliares en la carpeta de la colecciÃ³n.
- 
+
 explode.document_field:El elemento de los metadatos que especifica los nombres de los documentos a obtener e incluir en la colecciÃ³n.
 
@@ -250,5 +253,5 @@
 import.cannot_read_OIDcount:Advertencia: imposible leer el contador de OID de documentos de %s.\nValor fijado en cero.
 
-#import.cannot_read_earliestdatestamp:Aviso: imposible leer la Ãºltima fecha de actualizaciÃ³n de la colecciÃ³n %s.\nConfigurando su valor en 0.
+# import.cannot_read_earliestdatestamp:Warning: unable to read collection's earliestDatestampcount from %s.\nSetting value to 0.
 
 import.cannot_sort:ADVIRTIENDO: import.pl no puede ordenar los documentos cuando el tamaÃ±o del grupo > 1. la opciÃ³n sortmeta se ignorarÃ¡.
@@ -327,5 +330,5 @@
 # -- csv-usernames-to-db.pl
 cu2db.desc:Un script sencillo para agregar usuarios en modo lote, a la base de datos de Greenstone. Toma como entrada un archivo con valores separados por comas (CSV). Cada lÃ­nea representa un usuario, y consiste de nombre de usuario, clave, grupos y comentarios. Si el usuario pertenece a mÃ¡s de un grupo, entonces la lista de grupos puede ser una lista separada por comas y necesitarÃ¡ usar un separador de campo diferente para el archivo.
- 
+
 cu2db.params:[opciones] nombre_archivo_CSV
 
@@ -333,6 +336,4 @@
 
 cu2db.already-encrypted:Use esto si las claves estÃ¡n encriptadas en el archivo CVS.
-
-
 
 # -- schedule.pl --
@@ -425,5 +426,4 @@
 export.verbosity:Controla la cantidad de salida. 0=nada, 3=mucha.
 
-
 # -- mkcol.pl --
 
@@ -513,5 +513,4 @@
 pluginfo.specific_options:Se definen las opciones especÃ­ficas dentro del propio plugin, y sÃ³lo estÃ¡n disponibles en este plugin en particular.
 
-
 # -- plugoutinfo.pl --
 
@@ -533,6 +532,4 @@
 
 plugoutinfo.specific_options:Las opciones especÃ­ficas se definen dentro de la propia salida, y sÃ³lo estÃ¡n disponibles para esta salida en particular.
-
-
 
 #
@@ -727,5 +724,4 @@
 Collage.caption:TÃ­tulos opcionales para desplegar bajo el lienzo del collage.
 
-
 #
 # Plugin option descriptions
@@ -768,9 +764,35 @@
 BaseImporter.associate_tail_re:Una expresiÃ³n regular para cotejar con los nombres de archivos y encontrar los archivos asociados.
 
+BaseImporter.desc:La clase base para todos los plugins de importaciÃ³n.
+
+BaseImporter.dummy_text:Este documento no tiene contenido.
+
+BaseImporter.no_cover_image:No buscar un archivo prefijo.jpg (en el cual prefijo es el mismo prefijo que el del archivo que estÃ¡ siendo procesado) para asociarlo como imagen de portada.
+
+BaseImporter.OIDtype.auto:Usar OIDType definido en import.pl
+
+BaseImporter.process_exp:Una expresiÃ³n Perl regular para comprobar contra nombres de ficheros que se procesarÃ¡n por este plugin. Por ej., usando '(? i). html? \ $' aparecerÃ¡n todos los documentos con terminaciÃ³n. htm .html (no es sensible a mayÃºsculas/minÃºsculas).
+
+BaseImporter.processing_tmp_files:Marca interna, fijada por los plugins conversores para indicar que estÃ¡n procesando un archivo tmp.
+
+BaseImporter.smart_block:Bloquear archivos en una forma mÃ¡s inteligente que simplemente examinando sus nombres.
+
+BaseImporter.store_original_file:Grabar el documento original como un documento asociado. Note que esto ya es asÃ­ para documentos PDF, Word, etc. Esta opciÃ³n solo es util para plugins que no hacen copia del archivo original.
+
+BaseImporter.file_rename_method:El mÃ©todo a utilizarse para renombrar la copia de los archivos importados y asociados.
+
+BaseImporter.rename_method.url:Usar codificaciÃ³n de URL al renombrar archivos importados y asociados.
+
+BaseImporter.rename_method.base64:Usar codificaciÃ³n base64 para renombrar archivos importados y asociados.
+
+BaseImporter.rename_method.none:No renombrar archivos importados y asociados.
+
+BibTexPlugin.desc:BibTexPlugin lee archivos de registros bibliogrÃ¡ficos en formato BibTex. BibTexPlugin crea un objeto de documento para cada referencia en el archivo. Es una subclase de SplitTextFile, por lo que si hay registros mÃºltiples, todos se leen.
+
+BookPlugin.desc:Crea documentos multinivel a partir de documentos que contengan etiquetas de nivel <<TOC>>. Los metadatos para cada secciÃ³n se toman de cualquier otra etiqueta que estÃ© en la misma lÃ­nea que el << TOC >>, por ej., <<Title>> xxxx <</Title>> establece el metadato TÃ­tulo. Todo lo demÃ¡s que aparezca entre las etiquetas TOC se tratarÃ¡ como html simple (es decir, no se establece ningÃºn proceso de vÃ­nculos html ni se ejcuta ninguna otra tarea del conector HTMLPlugin). Se espera que los archivos de entrada tengan una extensiÃ³n .hb  predefinida (puede cambiarse agregando una opciÃ³n -process_exp, un fichero con el mismo nombre que el fichero hb pero con una extensiÃ³n .jpg se toma como la imagen de la portada (los ficheros jpg son bloqueados por este plugin). BookPlugin es una simplificaciÃ³n (y extensiÃ³n) del HBPlugin utilizado por las colecciones de la Biblioteca de Desarrollo Humanitario. BookPlugin es mÃ¡s rÃ¡pido en tanto que espera la entrada de archivos mÃ¡s limpios (La entrada a las colecciones de HDL contiene muchas etiquetas html adicionales alrededor de etiquetas << TOC >>, utiliza etiquetas << I >> para especificar las imÃ¡genes, y simplemente toma todo el texto entre las etiquetas << TOC >> y el inicio del texto como metadato Title). Si usted estÃ¡ colocando marcas en documentos para que sean desplegados de la misma manera que las colecciones HDL, use este plugin en lugar de HBPlugin.
+
 CommonUtil.block_exp:Los archivos que sean iguales a esta expresiÃ³n regular serÃ¡n bloqueados para no pasarse a ningÃºn otro plugin posterior del listado.
 
-BaseImporter.desc:La clase base para todos los plugins de importaciÃ³n.
-
-BaseImporter.dummy_text:Este documento no tiene contenido.
+CommonUtil.desc:Clase del Base Utility plugin que maneja el bloqueo y la codificaciÃ³n del nombre de archivo.
 
 CommonUtil.encoding.ascii:ASCII plano de 7 bits. Ãste puede resultar mÃ¡s rÃ¡pido que usando el iso_8859_1. Tenga cuidado con usar esto en una colecciÃ³n de documentos que pueden contener caracteres no comprendidos en el conjunto ASCII simple (por ejemplo documentos en AlemÃ¡n o FrancÃ©s que contengan acentos), mejor utilice el iso_8859_1.
@@ -794,28 +816,4 @@
 CommonUtil.no_blocking:No hacer bloqueo de archivos. Cualquier archivo asociado (ej. ImÃ¡genes en una pÃ¡gina web) serÃ¡ agregado a la colecciÃ³n como documentos separados.
 
-BaseImporter.no_cover_image:No buscar un archivo prefijo.jpg (en el cual prefijo es el mismo prefijo que el del archivo que estÃ¡ siendo procesado) para asociarlo como imagen de portada.
-
-BaseImporter.OIDtype.auto:Usar OIDType definido en import.pl
-
-BaseImporter.process_exp:Una expresiÃ³n Perl regular para comprobar contra nombres de ficheros que se procesarÃ¡n por este plugin. Por ej., usando '(? i). html? \ $' aparecerÃ¡n todos los documentos con terminaciÃ³n. htm .html (no es sensible a mayÃºsculas/minÃºsculas).
-
-BaseImporter.processing_tmp_files:Marca interna, fijada por los plugins conversores para indicar que estÃ¡n procesando un archivo tmp.
-
-BaseImporter.smart_block:Bloquear archivos en una forma mÃ¡s inteligente que simplemente examinando sus nombres.
-
-BaseImporter.store_original_file:Grabar el documento original como un documento asociado. Note que esto ya es asÃ­ para documentos PDF, Word, etc. Esta opciÃ³n solo es util para plugins que no hacen copia del archivo original.
-
-BaseImporter.file_rename_method:El mÃ©todo a utilizarse para renombrar la copia de los archivos importados y asociados.
-
-BaseImporter.rename_method.url:Usar codificaciÃ³n de URL al renombrar archivos importados y asociados.
-
-BaseImporter.rename_method.base64:Usar codificaciÃ³n base64 para renombrar archivos importados y asociados.
-
-BaseImporter.rename_method.none:No renombrar archivos importados y asociados.
-
-BibTexPlugin.desc:BibTexPlugin lee archivos de registros bibliogrÃ¡ficos en formato BibTex. BibTexPlugin crea un objeto de documento para cada referencia en el archivo. Es una subclase de SplitTextFile, por lo que si hay registros mÃºltiples, todos se leen.
-
-BookPlugin.desc:Crea documentos multinivel a partir de documentos que contengan etiquetas de nivel <<TOC>>. Los metadatos para cada secciÃ³n se toman de cualquier otra etiqueta que estÃ© en la misma lÃ­nea que el << TOC >>, por ej., <<Title>> xxxx <</Title>> establece el metadato TÃ­tulo. Todo lo demÃ¡s que aparezca entre las etiquetas TOC se tratarÃ¡ como html simple (es decir, no se establece ningÃºn proceso de vÃ­nculos html ni se ejcuta ninguna otra tarea del conector HTMLPlugin). Se espera que los archivos de entrada tengan una extensiÃ³n .hb  predefinida (puede cambiarse agregando una opciÃ³n -process_exp, un fichero con el mismo nombre que el fichero hb pero con una extensiÃ³n .jpg se toma como la imagen de la portada (los ficheros jpg son bloqueados por este plugin). BookPlugin es una simplificaciÃ³n (y extensiÃ³n) del HBPlugin utilizado por las colecciones de la Biblioteca de Desarrollo Humanitario. BookPlugin es mÃ¡s rÃ¡pido en tanto que espera la entrada de archivos mÃ¡s limpios (La entrada a las colecciones de HDL contiene muchas etiquetas html adicionales alrededor de etiquetas << TOC >>, utiliza etiquetas << I >> para especificar las imÃ¡genes, y simplemente toma todo el texto entre las etiquetas << TOC >> y el inicio del texto como metadato Title). Si usted estÃ¡ colocando marcas en documentos para que sean desplegados de la misma manera que las colecciones HDL, use este plugin en lugar de HBPlugin.
-
 CONTENTdmPlugin.desc:Conector que procesa archivos RDF en colecciones CONTENTdm exportadas.
 
@@ -867,5 +865,5 @@
 
 DSpacePlugin.desc:DSpacePlug toma una colecciÃ³n de documentos exportados desde DSpace y los importa a Greenstone.
-	
+
 DSpacePlugin.first_inorder_ext:Esto se usa para identificar al archivo de documento primario para un documento de una colecciÃ³n DSpace. Con esta opciÃ³n, el sistema tratarÃ¡ los tipos de documentos ext definidos secuencialmente, buscando al archivo de documento primario.
 
@@ -1259,4 +1257,10 @@
 
 TextPlugin.title_sub:ExpresiÃ³n de substituciÃ³n para modificar la cadena guardada como TÃ­tulo. Por ejemplo, PSPlug para eliminar "PÃ¡gina 1" etc del texto utilizado como tÃ­tulo.
+
+UnknownConverterPlugin.desc:Si tiene un herramienta de conversiÃ³n instalada que es posible ejecutar desde la lÃ­nea de comando para convertir desde un formato de documento no soportado a texto, HTML o a una serie de imÃ¡genes en jpg, gif o png,, entonces incluya ese comando en este Plugin. Ãl ejecutarÃ¡ el comando por usted, capturando la salida para ser indexada por Greenstone. Configure "process_extension" con el sufijo de los archivos que deben convertirse. Configure "convert_to" con el formato de salida que el comando de conversiÃ³n generarÃ¡, el cual determinarÃ¡ el sufijo de archivo de salida. Use %INPUT_FILE y %OUTPUT como variables en el comando, los cuales serÃ¡n reemplazados por Greenstone. PasarÃ¡ la ruta completa a cada archivo que concuerde con "process_extension" como %INPUT_FILE. %OUTPUT serÃ¡ reemplazada con la ruta a un archivo en una carpeta temporal cuyo sufijo serÃ¡ el valor de "convert_to"  . Si "convert_to" es del tipo pagedimg, Greenstone harÃ¡ que %OUTPUT  sea una carpeta la cual contendrÃ¡ los archivos esperados y crearÃ¡ un archivo .item contenienndo las partes del documento.
+
+UnknownConverterPlugin.exec_cmd:LÃ­nea de comando a ejecutar la cual harÃ¡ la conversiÃ³n. Las comillas deberÃ¡n estar precedidas por una "\" para ser preservadas. Utilice %INPUT_FILE and %OUTPUT como variables en el comando.
+
+UnknownConverterPlugin.output_file_or_dir_name:Ruta completa del archivo de salida o del directorio (de archivos de salida) generado por la conversiÃ³n.
 
 UnknownPlugin.assoc_field:Nombre del campo del metadato que mantendrÃ¡ el nombre del fichero asociado.
@@ -1339,7 +1343,6 @@
 Z3950Download.max_records_disp:MÃ¡ximo de registros
 
-
-#
-#Plugout option descriptions
+#
+# Plugout option descriptions
 #
 
@@ -1349,7 +1352,7 @@
 BasPlugout.group_size:NÃºmero de documentos a agrupar en un fichero XML.
 BasPlugout.gzip_output:Usar gzip para comprimir los documentos xml resultantes (no olvide incluir ZIPPlugin en su lista de conectores cuando construya con documentos compactados).
-#'
+# '
 BasPlugout.no_auxiliary_databases:No generar las bases de datos de archives. Util cuando se hacen exportaciones.
-#'
+# '
 BasPlugout.output_handle:descriptor de archivo usado para enviar la informaciÃ³n de salida
 BasPlugout.output_info:Referencia a un objeto arcinfo usado para almacenar informaciÃ³n sobre los archivos.