Index: main/trunk/greenstone2/perllib/strings_ru.properties
===================================================================
--- main/trunk/greenstone2/perllib/strings_ru.properties	(revision 31495)
+++ main/trunk/greenstone2/perllib/strings_ru.properties	(revision 31899)
@@ -1114,6 +1114,6 @@
 
 EmailPlugin.desc:ÐÐ»Ð°Ð³ÐžÐœ Email ÑÐžÑÐ°ÐµÑ ÑÐ°Ð¹Ð»Ñ ÑÐ»ÐµÐºÑÑÐŸÐœÐœÐŸÐ¹ Ð¿ÐŸÑÑÑ. ÐÐœÐž ÐžÐŒÐµÐœÑÑÑÑÑ Ð¿ÑÐŸÑÑÑÐŒÐž ÐœÐŸÐŒÐµÑÐ°ÐŒÐž (Ñ.Ðµ.Ð² ÑÐŸÐŒ Ð¿ÐŸÑÑÐŽÐºÐµ,ÐºÐ°Ðº ÐŸÐœÐž Ð¿ÐŸÑÐ²Ð»ÑÑÑÑÑ Ð² Ð¿Ð°Ð¿ÐºÐ°Ñ
- Ð¿ÐŸÑÑÐŸÐ²ÐŸÐ¹ ÐŽÐžÑÐµÐºÑÐŸÑÐžÐž) ÐžÐ»Ðž Ñ ÑÐ°ÑÑÐžÑÐµÐœÐžÐµÐŒ .mbx (ÑÐŸÑÐŒÐ°Ñ ÑÐ°Ð¹Ð»Ð° ÐŽÐ»Ñ Ð¿ÐžÑÐµÐŒ mbox).\nÐ¢ÐµÐºÑÑ ÐŽÐŸÐŸÐºÑÐŒÐµÐœÑÐ°: Ð¢ÐµÐºÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° ÑÐŸÑÑÐŸÐžÑ ÐžÐ· Ð²ÑÐµÐ³ÐŸ ÑÐµÐºÑÑÐ° Ð¿ÐŸÑÐ»Ðµ Ð¿ÐµÑÐ²ÐŸÐ¹ Ð¿ÑÑÑÐŸÐ¹ ÑÑÑÐŸÐºÐž Ð² ÐŽÐŸÐºÑÐŒÐµÐœÑÐµ.\nÐÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ (ÐœÐµ Dublin Core!):\n\t\$Headers ÐÑÐµ ÑÑÐŸ ÑÐŸÐŽÐµÑÐ¶ÐžÑ Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº (ÐœÐµÐŸÐ±ÑÐ·Ð°ÑÐµÐ»ÑÐœÐŸ, Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ ÐœÐµ ÑÐŸÑ
-ÑÐ°ÐœÑÐµÑÑÑ)\n\t\$Subject ÐÑÐµÐŽÐŒÐµÑ: Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº\n\t\$To  ÐÐŸÐŒÑ:Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº\n\t\$From ÐºÐŸÐ³ÐŸ   ÐÑ ÐºÐŸÐ³ÐŸ: Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº\n\t\$FromName ÐŸÑ ÐºÐŸÐ³ÐŸ  ÐÐŒÑ ÐŸÑÐ¿ÑÐ°Ð²ÐžÑÐµÐ»Ñ(ÐºÐŸÐ³ÐŽÐŽÐ° ÐŸÐœÐŸ ÐžÐŒÐµÐµÑÑÑ Ð² ÐœÐ°Ð»ÐžÑÐžÐž)\n\t\$FromAddr ÐŸÑ ÐºÐŸÐ³ÐŸ  Ð°ÐŽÑÐµÑ ÑÐ»ÐµÐºÑÑÐŸÐœÐœÐŸÐ¹ Ð¿ÐŸÑÑÑ ÐŸÑÐ¿ÑÐ°Ð²ÐžÑÐµÐ»Ñ\n\t\$DateText ÐŽÐ°ÑÑ  ÐÐ°ÑÐ°: Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº\n\t\$Date   ÐÐ°ÑÐ°: Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº Ð² ÑÐŸÑÐŒÐ°ÑÐµ ÑÐžÑÑÐŸÐ²ÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž Greenstone (ÐœÐ°Ð¿ÑÐžÐŒÐµÑ: 19990924)
+ Ð¿ÐŸÑÑÐŸÐ²ÐŸÐ¹ ÐŽÐžÑÐµÐºÑÐŸÑÐžÐž) ÐžÐ»Ðž Ñ ÑÐ°ÑÑÐžÑÐµÐœÐžÐµÐŒ .mbx (ÑÐŸÑÐŒÐ°Ñ ÑÐ°Ð¹Ð»Ð° ÐŽÐ»Ñ Ð¿ÐžÑÐµÐŒ mbox).\nÐ¢ÐµÐºÑÑ ÐŽÐŸÐŸÐºÑÐŒÐµÐœÑÐ°: Ð¢ÐµÐºÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° ÑÐŸÑÑÐŸÐžÑ ÐžÐ· Ð²ÑÐµÐ³ÐŸ ÑÐµÐºÑÑÐ° Ð¿ÐŸÑÐ»Ðµ Ð¿ÐµÑÐ²ÐŸÐ¹ Ð¿ÑÑÑÐŸÐ¹ ÑÑÑÐŸÐºÐž Ð² ÐŽÐŸÐºÑÐŒÐµÐœÑÐµ.\nÐÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ (ÐœÐµ Dublin Core!):\n\t$Headers ÐÑÐµ ÑÑÐŸ ÑÐŸÐŽÐµÑÐ¶ÐžÑ Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº (ÐœÐµÐŸÐ±ÑÐ·Ð°ÑÐµÐ»ÑÐœÐŸ, Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ ÐœÐµ ÑÐŸÑ
+ÑÐ°ÐœÑÐµÑÑÑ)\n\t$Subject ÐÑÐµÐŽÐŒÐµÑ: Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº\n\t$To  ÐÐŸÐŒÑ:Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº\n\t$From ÐºÐŸÐ³ÐŸ   ÐÑ ÐºÐŸÐ³ÐŸ: Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº\n\t$FromName ÐŸÑ ÐºÐŸÐ³ÐŸ  ÐÐŒÑ ÐŸÑÐ¿ÑÐ°Ð²ÐžÑÐµÐ»Ñ(ÐºÐŸÐ³ÐŽÐŽÐ° ÐŸÐœÐŸ ÐžÐŒÐµÐµÑÑÑ Ð² ÐœÐ°Ð»ÐžÑÐžÐž)\n\t$FromAddr ÐŸÑ ÐºÐŸÐ³ÐŸ  Ð°ÐŽÑÐµÑ ÑÐ»ÐµÐºÑÑÐŸÐœÐœÐŸÐ¹ Ð¿ÐŸÑÑÑ ÐŸÑÐ¿ÑÐ°Ð²ÐžÑÐµÐ»Ñ\n\t$DateText ÐŽÐ°ÑÑ  ÐÐ°ÑÐ°: Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº\n\t$Date   ÐÐ°ÑÐ°: Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº Ð² ÑÐŸÑÐŒÐ°ÑÐµ ÑÐžÑÑÐŸÐ²ÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž Greenstone (ÐœÐ°Ð¿ÑÐžÐŒÐµÑ: 19990924)
 
 EmailPlugin.no_attachments:ÐÐµ ÑÐŸÑ