Index: main/trunk/gli/classes/dictionary_gu.properties
===================================================================
--- main/trunk/gli/classes/dictionary_gu.properties	(revision 31897)
+++ main/trunk/gli/classes/dictionary_gu.properties	(revision 31918)
@@ -12,5 +12,5 @@
 àªªàªŸàªà« àªžà«àª«à«àªàªµà«àª° àª«àªŸàªàªšà«àª¡à«àª¶àªš (http://www.apache.org/)àª®àªŸàªàª¥à« 'Xerces Java 1'
 AboutDialog.Item2:àª«à«àª°à« àªžà«àª«à«àªàªµà«àª° àª«àªŸàªàªšà«àª¡à«àª¶àªš. (http://www.gnu.org/software/wget/wget.html)àª®àªŸàªàª¥à« 'WGet'
-AboutDialog.Item3:àªàªµàªŸàª²à«àªà« àª«àªžà«àª àªžà«àª«à«àªàªµà«àª° GmbH. (http://www.qfs.de/en/qflib/index.html)àª®àªŸàªàª¥à« 'qflib'
+AboutDialog.Item3:àªàªµàªŸàª²à«àªà« àª«àªžà«àª àªžà«àª«à«àªàªµà«àª° GmbH. (http://www.qfs.de/en/qflib/index.html)àª®àªŸàªàª¥à« 'qfslib'
 AboutDialog.Item4:Bruno Dumon and contributors (http://pollo.sourceforge.net/)àªŠà«àªµàªŸàª°àªŸ 'ExtensionFileFilter.class'
 AboutDialog.Item5:'àª«àªŸàªàª² àªªàªžàªàªŠàªà«àªàªŸàª°àª®àªŸàª àª«àªŸàªàª²àªšà«àª àªšàªŸàª® àª¬àªŠàª²àªµàªŸàªšà«àª àªà«àª°àª¿àª¯àªŸàªšà« àªà«àªµà« àª°à«àª€à« àªšàª¿àª·à«àªà«àª°àª¿àª¯ àªàª°àªµà«' - vladi21 (http://www.experts-exchange.com/)
@@ -1026,8 +1026,13 @@
 Mirroring.DownloadJob.Pause_Tooltip:àª àª¡àªŸàªàªšàª²à«àª¡àªšà« àª¥à«àª­àªŸàªµà«
 Mirroring.DownloadJob.Stop:àª¬àªàª§ àªàª°à«
-Mirroring.DownloadJob.Stop_Tooltip:àª àª¡àªŸàªàªšàª²à«àª¡àªšà« àªªà«àª°àªàª¿àª¯àªŸ àª°à«àªà«
+Mirroring.DownloadJob.Stop_Tooltip:àªà« àª¡àªŸàªàªšàª²à«àª¡àªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªàªŸàª²à« àª¹à«àª¯ àª€à« àª€à«àªšà« àª°à«àªà«
+Mirroring.DownloadJob.Stopped:àª¬àªàª§ àªàª°à«àª¯à«àª
+Mirroring.DownloadJob.Stopped_Tooltip:àª àª¡àªŸàªàªšàª²à«àª¡ àª¥àª€à«àª àª°à«àªà«àª¯à«àª
 Mirroring.DownloadJob.Resume:àª«àª°à« àª¶àª°à« àªàª°à«
 Mirroring.DownloadJob.Resume_Tooltip:àª àª¡àªŸàªàªšàª²à«àª¡àªšà« àª«àª°à« àª¶àª°à« àªàª°à«
 Mirroring.DownloadJob.Status:{1} àª«àªŸàªàª²à«àª®àªŸàªàª¥à« {0} àª«àªŸàªàª²à« àª¡àªŸàªàªšàª²à«àª¡ àª¥àª àªà«àªà« ({2} àªà«àª€àªµàª£à«àª, {3} àª­à«àª²à«)
+Mirroring.DownloadJob.Warning_No_Valid_Certificate:àªà«àª€àªµàª£à«: àªà« àªžàªŸàªàª àªà« àªà«àª®àªŸàª àªžàª¿àªà«àª¯à«àª°àª¿àªàª¿ àªžàª°à«àªà«àª«àª¿àªà«àª (àªªà«àª°àª®àªŸàª£àª­à«àª€) àªš àª¹à«àª¯ àª€à«àª®àªŸàª¥à« àª¡àªŸàªàªšàª²à«àª¡ àªàª°à« àª¶àªàªŸàª¯ àªšàª¹àª¿.
+Mirroring.DownloadJob.Enable_NoCheckCertificate:'https' URLs àª®àªŸàªàª¥à« àª
+àªžà«àª°àªà«àª·àª¿àª€ àª¡àªŸàªàªšàª²à«àª¡ àª®àªŸàªà« àªªàªžàªàªŠàªà«àª>àªàªšà«àªà«àª¶àªšàª®àªŸàª âàªà«àªàªªàª£ àªžàª°à«àªà«àª«àª¿àªà«àªàªšà« àªàªàªŸàªžàª£à« àªšàª¹àª¿âàªšà« àªžàª®àª°à«àª¥ àª¬àªšàªŸàªµà«.
 Mirroring.DownloadJob.Waiting:àªàªŸàª²à« àª¥àªµàªŸ àª®àªŸàªà« àª°àªŸàª¹ àªà«àªµàªŸàª¯ àª°àª¹à« àªà«
 Mirroring.DownloadJob.Waiting_User:àªàªªàª­à«àªà«àª€àªŸàªšà« àªªà«àª°àª€àª¿àªà«àª°àª¿àª¯àªŸ àª®àªŸàªà« àª°àªŸàª¹ àªà«àª àª°àª¹à«àª¯à«àª àªà«
@@ -1219,10 +1224,18 @@
 Preferences.Connection.ProgramCommand_Tooltip:àªžàªàªà«àª°àª¹àªšà«àª àªªà«àª°à«àªµà«àª¯à« àªà«àªµàªŸ àª®àªŸàªà« àªªà«àª°à«àªà«àª°àªŸàª®àªšà« àª²à«àªšà«àª àªàª®àªŸàªšà«àª¡àªšà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµà«àª¯à«. àª¯àªŸàªŠ àª°àªŸàªà« àªà« àªžàªàªà«àª°àª¹àªšàªŸ àªžàª°àªšàªŸàª®àªŸàª àª®àªŸàªà«Â %1àªšà« àªªà«àª²à«àª¶àª¹à«àª²à«àª¡àª° àª€àª°à«àªà« àªàªªàª¯à«àª àªàª°à«, àª
 àªšà« àªà« àªàª°à«àª° àª¹à«àª¯ àª€à« àªžà«àªªà«àªàª®àªŸàª°à«àªà«àªžàªšà« àªàªªàª¯à«àª àªàª°à«.
-Preferences.Connection.Proxy_Host:àªªà«àª°à«àªà«àª·à« àª¹à«àªžà«àª:
-Preferences.Connection.Proxy_Host_Tooltip:àªªà«àª°à«àªà«àª·à« àªžàª°à«àªµàª°àªšà«àª àªžàª°àªšàªŸàª®à«àª
-Preferences.Connection.Proxy_Port:àªªà«àª°à«àªà«àª·à« àªªà«àª°à«àª:
-Preferences.Connection.Proxy_Port_Tooltip:àª€àª®àªŸàª°àªŸ àªªà«àª°à«àªà«àª·à« àªžàª°à«àªµàª°àªšà« àªªà«àª°à«àª àªšàªàª¬àª°
-Preferences.Connection.Proxy_Host_Missing:àªªà«àª°à«àªà«àª·à« àª¹à«àªžà«àª àª®àªŸàªà« àªµà«àª²à«àª¯à« àªŠàªŸàªàª² àªàª°à« àª
-àª¥àªµàªŸ àªàªšà«àªà«àª¶àªš àªà«àª¬àª®àªŸàª 'àªªà«àª°à«àªà«àª·à« àªàªšà«àªà«àª¶àªšàªšà« àªàªªàª¯à«àª àªàª°à«' àªšà« àª¬àªàª§ àªàª°à«.
+Preferences.Connection.No_Check_Certificate:àªà«àª àªžàª°à«àªà«àª«àª¿àªà«àªàªšà« àªàªàªŸàªžàª£à« àªšàª¹àª¿ ('https' URLs àª®àªŸàª àª²àªŸàªà« àªªàª¡à« àªà«)
+Preferences.Connection.No_Check_Certificate_Tooltip:àªà« 'https' URLsàª®àªŸàª àªžàª¿àªà«àª¯à«àª°àª¿àªàª¿ àªžàª°à«àªà«àª«àª¿àªà«àª (àªªà«àª°àª®àªŸàª£àª­à«àª€) àªš àª¹à«àª¯ àª€à«àª® àªàª€àªŸàª àª¡àªŸàªàªšàª²à«àª¡ àª®àªŸàªà« àªªàªžàªàªŠ àªàª°à«.
+Preferences.Connection.HTTP_Proxy_Host:HTTP àªªà«àª°à«àªà«àªžà« àª¹à«àªžà«àª:
+Preferences.Connection.HTTP_Proxy_Host_Tooltip:àª€àª®àªŸàª°àªŸ HTTP àªªà«àª°à«àªà«àªžà« àªžàª°à«àªµàª°àªšà«àª àªàª¡à«àª°à«àªž
+Preferences.Connection.HTTP_Proxy_Port_Tooltip:àª€àª®àªŸàª°àªŸ HTTP àªªà«àª°à«àªà«àªžà« àªžàª°à«àªµàª°àªšà« àªªà«àª°à«àª àªšàªàª¬àª°
+Preferences.Connection.HTTPS_Proxy_Host:HTTPS àªªà«àª°à«àªà«àªžà« àª¹à«àªžà«àª:
+Preferences.Connection.HTTPS_Proxy_Host_Tooltip:àª€àª®àªŸàª°àªŸ HTTPS àªªà«àª°à«àªà«àªžà« àªžàª°à«àªµàª°àªšà«àª àªàª¡à«àª°à«àªž
+Preferences.Connection.HTTPS_Proxy_Port_Tooltip:àª€àª®àªŸàª°àªŸ HTTPS àªªà«àª°à«àªà«àªžà« àªžàª°à«àªµàª°àªšà« àªªà«àª°à«àª àªšàªàª¬àª°
+Preferences.Connection.FTP_Proxy_Host:FTP àªªà«àª°à«àªà«àªžà« àª¹à«àªžà«àª:
+Preferences.Connection.FTP_Proxy_Host_Tooltip:àª€àª®àªŸàª°àªŸ FTP àªªà«àª°à«àªà«àªžà« àªžàª°à«àªµàª°àªšà«àª àªàª¡à«àª°à«àªž
+Preferences.Connection.FTP_Proxy_Port_Tooltip:àª€àª®àªŸàª°àªŸ FTP àªªà«àª°à«àªà«àªžà« àªžàª°à«àªµàª°àªšà« àªªà«àª°à«àª àªšàªàª¬àª°
+Preferences.Connection.Proxy_Host_Missing:àªàªàªŸàªŠ àªªà«àª°à«àªà«àª·à« àª¹à«àªžà«àª àª®àªŸàªà« àªµà«àª²à«àª¯à« àªŠàªŸàªàª² àªàª°à« àª
+àª¥àªµàªŸ àªàªšà«àªà«àª¶àªš àªà«àª¬àª®àªŸàª 'àªªà«àª°à«àªà«àª·à« àªàªšà«àªà«àª¶àªšàªšà« àªàªªàª¯à«àª àªàª°à«' àªµàª¿àªàª²à«àªª àªàª°à«àªš àªàª« àªàª°à«.
+Preferences.Connection.Proxy_Port:àªªà«àª°à«àª:
 Preferences.Connection.Servlet:àªžàª°à«àªµàª²à«àª:
 Preferences.Connection.Servlet_Tooltip:àª€àª®àªŸàª°à« àªžàªŸàªàª àªà«àªµàªŸ àª®àªŸàªà« àªžàª°à«àªµàª²à«àªàªšà« àª¥àª€à« àªàªªàª¯à«àª