Index: /main/trunk/model-sites-dev/pei-jones/collect/written-works/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/written-works/etc/collectionConfig.xml	(revision 31921)
+++ /main/trunk/model-sites-dev/pei-jones/collect/written-works/etc/collectionConfig.xml	(revision 31922)
@@ -28,8 +28,8 @@
       <displayItem lang="en" name="name">author</displayItem>
     </index>
-    <index name="pj.Correspondent">
+   <index name="pj.Correspondent">
       <displayItem lang="en" name="name">correspondent</displayItem>
     </index>
-    <index name="pj.Description">
+     <index name="pj.Description">
       <displayItem lang="en" name="name">description</displayItem>
     </index>
@@ -46,5 +46,5 @@
       <displayItem lang="en" name="name">location</displayItem>
     </index>
-    <index name="pj.Physical-Location">
+     <index name="pj.Physical-Location">
       <displayItem lang="en" name="name">physical location</displayItem>
     </index>
@@ -55,4 +55,7 @@
       <displayItem lang="en" name="name">tags</displayItem>
     </index>
+    <index name="pj.Tags">
+      <displayItem lang="en" name="name">tags</displayItem>
+    </index>
     <index name="pj.Document-Type">
       <displayItem lang="en" name="name">document type</displayItem>
@@ -81,5 +84,5 @@
 	<td>
 	  <gsf:link type="document">
-	    <gsf:if-metadata-exists><gsf:metadata name="pj.Title" select="parent"/><gsf:if><gsf:metadata name="pj.Title" select="parent"/></gsf:if></gsf:if-metadata-exists>
+            <gsf:if-metadata-exists><gsf:metadata name="pj.Title" select="parent"/><gsf:if><gsf:metadata name="pj.Title" select="parent"/></gsf:if></gsf:if-metadata-exists>
 	    <gsf:choose-metadata>
 	      <gsf:metadata name="pj.Title"/>
@@ -100,8 +103,11 @@
 	<option name="-OIDtype" value="filename"/>
 	<option name="-enable_cache"/>
-      </plugin>
+        <option name="-thumbnailtype" value="png"/>
+        <option name="-screenviewtype" value="png"/>
+        <option name="-converttotype" value="png"/>
+       </plugin>
       <plugin name="TextPlugin"/>
       <plugin name="HTMLPlugin"/>
-     <!-- <plugin name="EmailPlugin"/>
+<!--      <plugin name="EmailPlugin"/>
       <plugin name="PDFPlugin"/>
       <plugin name="RTFPlugin"/>
@@ -123,26 +129,35 @@
     <classifier name="List">
       <option name="-metadata" value="pj.Title;Title"/>
-      <option name="-partition_type_within_level" value="approximate_size"/>
+      <option name="-partition_type_within_level" value="per_letter"/>
+    <format>
+      <gsf:template match="documentNode">
+	<td valign="top">
+	  <gsf:link type="document"><gsf:icon type="document"/></gsf:link>
+	</td>
+	<td valign="top">
+	  <gsf:link type="document">
+	    <gsf:choose-metadata>
+	      <gsf:metadata name="pj.Title" pos="classifiedBy"/>
+	      <gsf:metadata name="Title"/>
+	      <gsf:default>Untitled</gsf:default>
+	    </gsf:choose-metadata>
+	    <gsf:switch>
+	      <gsf:metadata name="FileFormat"/>
+	      <gsf:when test="equals" test-value="PagedImage"><i> (<gsf:metadata name="Identifier"/>)</i></gsf:when>
+	    </gsf:switch>
+	  </gsf:link>
+	</td>
+      </gsf:template>
+    </format>
     </classifier>
-    <classifier name="List">
-      <option name="-metadata" value="Source"/>
-      <option name="-partition_type_within_level" value="approximate_size"/>
-      <format>
+    <classifier name="PJFileNameList">
+     <format>
 	<gsf:template match="documentNode">
 	  <td valign="top">
+	    <gsf:link type="document"><gsf:icon type="document"/></gsf:link>
+	</td>
+	<td valign="top">
 	    <gsf:link type="document">
-	      <xsl:variable name="image-file">
-		<gsf:choose-metadata>
-		  <gsf:metadata name="Thumb"/>
-		  <gsf:metadata name="Thumb" select="children" pos="1"/>
-		  <gsf:metadata name="srcLinkFile"/>
-		</gsf:choose-metadata>
-	      </xsl:variable>
-	      <img><xsl:attribute name="src">sites/<xsl:value-of select="$site_name"/>/collect/written-works/index/assoc/<gsf:metadata name="assocfilepath"/>/<xsl:value-of select="$image-file"/></xsl:attribute></img>
-	    </gsf:link>
-	  </td>
-	  <td valign="top">
-	    <gsf:link type="document">
-	      <gsf:metadata name="SourceFile"/><xsl:text>: </xsl:text>
+	      <gsf:metadata name="Identifier"/><xsl:text>: </xsl:text>
 	      <gsf:choose-metadata>
 		<gsf:metadata name="pj.Title"/>
@@ -154,5 +169,12 @@
 	</gsf:template>
       </format>
-    </classifier>
+     </classifier>
+     <classifier name="List">
+       <option name="filter_metadata" value="pj.Format"/>
+       <option name="filter_regex" value="RealBook"/>
+      <option name="-metadata" value="pj.Title,Title"/>
+      <option name="-partition_type_within_level" value="approximate_size"/>
+      <option name="buttonname" value="RealBooks"/>
+
     <format>
       <gsf:template match="documentNode">
@@ -176,11 +198,10 @@
 	      <gsf:default>Untitled</gsf:default>
 	    </gsf:choose-metadata>
-	    <gsf:switch>
-	      <gsf:metadata name="FileFormat"/>
-	      <gsf:when test="equals" test-value="PagedImage"><i> (<gsf:metadata name="Identifier"/>)</i></gsf:when>
-	    </gsf:switch>
-	  </gsf:link>
-	</td>
-      </gsf:template>
+	  </gsf:link>
+	</td>
+      </gsf:template>
+    </format>
+     </classifier>
+     <format>
       <gsf:template match="classifierNode[@classifierStyle = 'VList']">
 	<td valign="top">
@@ -205,5 +226,5 @@
       <gsf:option name="viewSelection" value="false"/>
       <!--<gsf:option name="sideBar" value="false"/>-->
-      <xsl:template name="documentContent">
+       <xsl:template name="documentContent">
 	<!-- modify the default template. if its a real book, then we link to the real book, otherwise we are using the default template -->
 	<xsl:variable name="format">